Skip to navigation

Get a specific distributed training template by ID. [Experimental]

View as Markdown
Get a specific distributed training template by ID.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

templateIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the template.

Response

Executed successfully.
metaobject
specobjectOptional
masterSpecSameAsWorkerbooleanOptional
used for distributed workloads to indicate that the master spec should be the same as the worker spec. in this case, masterSpec should not be specified.
masterobjectOptional
runnableobjectOptional
whether the template can be submitted, as is
combinedSpecobjectOptional
combinedMasterSpecobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error